diff -Nwupr gdb-5.2-orig/gdb/objfiles.h gdb-5.2/gdb/objfiles.h
--- gdb-5.2-orig/gdb/objfiles.h	Fri Oct 12 13:07:07 2001
+++ gdb-5.2/gdb/objfiles.h	Thu Jun 27 14:34:53 2002
@@ -22,6 +22,8 @@
 #if !defined (OBJFILES_H)
 #define OBJFILES_H
 
+#include "bcache.h"
+
 /* This structure maintains information on a per-objfile basis about the
    "entry point" of the objfile, and the scope within which the entry point
    exists.  It is possible that gdb will see more than one objfile that is
diff -Nwupr gdb-5.2-orig/gdb/symtab.h gdb-5.2/gdb/symtab.h
--- gdb-5.2-orig/gdb/symtab.h	Thu Feb 21 17:17:13 2002
+++ gdb-5.2/gdb/symtab.h	Thu Jun 27 15:01:49 2002
@@ -28,7 +28,6 @@
 #include "obstack.h"
 #define obstack_chunk_alloc xmalloc
 #define obstack_chunk_free xfree
-#include "bcache.h"
 
 /* Don't do this; it means that if some .o's are compiled with GNU C
    and some are not (easy to do accidentally the way we configure
